<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::TestInvokerAsMethod&lt; C &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html">TestInvokerAsMethod</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1TestInvokerAsMethod-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::TestInvokerAsMethod&lt; C &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::TestInvokerAsMethod&lt; C &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1TestInvokerAsMethod__inherit__graph.png" border="0" usemap="#Catch_1_1TestInvokerAsMethod_3_01C_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1TestInvokerAsMethod_3_01C_01_4_inherit__map" id="Catch_1_1TestInvokerAsMethod_3_01C_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,251,107"/>
<area shape="rect" href="structCatch_1_1ITestInvoker.html" title=" " alt="" coords="55,5,201,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::TestInvokerAsMethod&lt; C &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1TestInvokerAsMethod__coll__graph.png" border="0" usemap="#Catch_1_1TestInvokerAsMethod_3_01C_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1TestInvokerAsMethod_3_01C_01_4_coll__map" id="Catch_1_1TestInvokerAsMethod_3_01C_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,251,107"/>
<area shape="rect" href="structCatch_1_1ITestInvoker.html" title=" " alt="" coords="55,5,201,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a119c4bdbbdd95c42859c18541987a1a4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html#a119c4bdbbdd95c42859c18541987a1a4">TestInvokerAsMethod</a> (void(C::*testAsMethod)()) noexcept</td></tr>
<tr class="separator:a119c4bdbbdd95c42859c18541987a1a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8115a06efe273f4112ec0b5452c1b5f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html#a8115a06efe273f4112ec0b5452c1b5f2">invoke</a> () const override</td></tr>
<tr class="separator:a8115a06efe273f4112ec0b5452c1b5f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119c4bdbbdd95c42859c18541987a1a4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html#a119c4bdbbdd95c42859c18541987a1a4">TestInvokerAsMethod</a> (void(C::*testAsMethod)()) noexcept</td></tr>
<tr class="separator:a119c4bdbbdd95c42859c18541987a1a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8115a06efe273f4112ec0b5452c1b5f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html#a8115a06efe273f4112ec0b5452c1b5f2">invoke</a> () const override</td></tr>
<tr class="separator:a8115a06efe273f4112ec0b5452c1b5f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1ITestInvoker"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1ITestInvoker')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1ITestInvoker.html">Catch::ITestInvoker</a></td></tr>
<tr class="memitem:a2c89f3eece5b1b677243766e409bd831 inherit pub_methods_structCatch_1_1ITestInvoker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITestInvoker.html#a2c89f3eece5b1b677243766e409bd831">~ITestInvoker</a> ()</td></tr>
<tr class="separator:a2c89f3eece5b1b677243766e409bd831 inherit pub_methods_structCatch_1_1ITestInvoker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c89f3eece5b1b677243766e409bd831 inherit pub_methods_structCatch_1_1ITestInvoker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITestInvoker.html#a2c89f3eece5b1b677243766e409bd831">~ITestInvoker</a> ()</td></tr>
<tr class="separator:a2c89f3eece5b1b677243766e409bd831 inherit pub_methods_structCatch_1_1ITestInvoker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a559d592c99bf7f24f0afe44a74f555bf"><td class="memItemLeft" align="right" valign="top">void(C::*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html#a559d592c99bf7f24f0afe44a74f555bf">m_testAsMethod</a> )()</td></tr>
<tr class="separator:a559d592c99bf7f24f0afe44a74f555bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a119c4bdbbdd95c42859c18541987a1a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a119c4bdbbdd95c42859c18541987a1a4">&#9670;&nbsp;</a></span>TestInvokerAsMethod() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename C &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html">Catch::TestInvokerAsMethod</a>&lt; C &gt;::<a class="el" href="classCatch_1_1TestInvokerAsMethod.html">TestInvokerAsMethod</a> </td>
          <td>(</td>
          <td class="paramtype">void(C::*)()&#160;</td>
          <td class="paramname"><em>testAsMethod</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a119c4bdbbdd95c42859c18541987a1a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a119c4bdbbdd95c42859c18541987a1a4">&#9670;&nbsp;</a></span>TestInvokerAsMethod() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename C &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1TestInvokerAsMethod.html">Catch::TestInvokerAsMethod</a>&lt; C &gt;::<a class="el" href="classCatch_1_1TestInvokerAsMethod.html">TestInvokerAsMethod</a> </td>
          <td>(</td>
          <td class="paramtype">void(C::*)()&#160;</td>
          <td class="paramname"><em>testAsMethod</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8115a06efe273f4112ec0b5452c1b5f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8115a06efe273f4112ec0b5452c1b5f2">&#9670;&nbsp;</a></span>invoke() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename C &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1TestInvokerAsMethod.html">Catch::TestInvokerAsMethod</a>&lt; C &gt;::invoke </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITestInvoker.html#a6fcd5c5b67d6d5ade6491ff33411ca7f">Catch::ITestInvoker</a>.</p>

</div>
</div>
<a id="a8115a06efe273f4112ec0b5452c1b5f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8115a06efe273f4112ec0b5452c1b5f2">&#9670;&nbsp;</a></span>invoke() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename C &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1TestInvokerAsMethod.html">Catch::TestInvokerAsMethod</a>&lt; C &gt;::invoke </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITestInvoker.html#a6fcd5c5b67d6d5ade6491ff33411ca7f">Catch::ITestInvoker</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a559d592c99bf7f24f0afe44a74f555bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a559d592c99bf7f24f0afe44a74f555bf">&#9670;&nbsp;</a></span>m_testAsMethod</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename C &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void(C::* <a class="el" href="classCatch_1_1TestInvokerAsMethod.html">Catch::TestInvokerAsMethod</a>&lt; C &gt;::m_testAsMethod)()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
